<template>
  <q-page>
    <div class="landho-800">
      <div class="landho-landing-text">
        <div class="seven-seas">
          Search the seven seas. Own your own history.
        </div>
        <div class="purple-thingy"></div>
        <div class="pitch-1">
          Land Ho lets you securely maintain your search history across multiple
          search engines and devices without building a targeted profile that is
          in the control of big tech companies.
        </div>
        <div class="pitch-2">
          Just sign in, pick a search engine, and search like you normally
          would.
        </div>
      </div>
    </div>
    <div class="container-10 w-container">
      <div class="sign-in-card">
        <div class="no-dragons-sign-in">
          <div class="no-dragons-ready">
            Here be no dragons
            <span class="text-span-5">(aka “Ready to get started?”)</span>
          </div>
          <q-btn unelevated no-caps class="blockstack-button" @click="signIn">
            <div class="blockstack-logo"></div>
            <div class="another-part-of-the-button">
              <div class="sign-in-blockstack">Lets Get Started!</div>
            </div>
          </q-btn>
          <div class="note">
            If you don’t have a Blockstack ID, you’ll be led through an easy
            process to create one.
          </div>
        </div>
      </div>
    </div>
    <div class="foreground-wave"></div>
  </q-page>
</template>

<script>
export default {
  name: "PageIndex",
  methods: {
    signIn() {
      this.$root.$emit("login");
    },
  },
};
</script>
<style scoped>
html {
  /* 1 */
  -ms-text-size-adjust: 100%;
  /* 2 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
}

.landho-800 {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.landho-landing-text {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 832px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.seven-seas {
  padding-right: 16px;
  padding-left: 16px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 36px;
  line-height: 47px;
  font-weight: 700;
  text-align: center;
}
.purple-thingy {
  width: 80px;
  height: 16px;
  margin-top: 40px;
  margin-bottom: 40px;
  border-radius: 4px;
  background-color: #d5b3ff;
}
.pitch-1 {
  padding-right: 16px;
  padding-left: 16px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #7f36da;
  font-size: 24px;
  line-height: 32px;
  font-weight: 500;
  text-align: center;
}
.pitch-2 {
  margin-top: 40px;
  padding-right: 16px;
  padding-left: 16px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 18px;
  line-height: 24px;
  font-weight: 500;
  text-align: center;
}

.q-page {
  margin-top: 48px;
  background: url(/imgs/middle-wave.svg) 0px 326px,
    url(/imgs/background-wave.svg) 0px 61px;
  background-repeat: no-repeat;
  background-size: cover;
}

.foreground-wave {
  position: relative;
  height: 50vh;
  margin-top: -40vh;
  background-image: url(/imgs/foreground-wave.svg);
  background-repeat: no-repeat;
  background-size: cover;
}
.container-10 {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  padding-top: 0px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.sign-in-card {
  display: block;
  height: auto;
  width: 540px;
  margin-top: 80px;
  margin-left: 8px;
  margin-right: 8px;
  padding-bottom: 40vh;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  border-radius: 8px;
  background-image: -webkit-gradient(
    linear,
    left top,
    left bottom,
    from(#fff),
    color-stop(100%, #ecddff),
    to(#fff)
  );
  background-image: linear-gradient(180deg, #fff, #ecddff 100%, #fff);
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
}

.no-dragons-sign-in {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  padding-top: 40px;
  padding-right: 32px;
  padding-left: 32px;
  padding-bottom: 40px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.blockstack-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 280px;
  margin-top: 24px;
  margin-bottom: 24px;
  padding: 8px;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  border-style: solid;
  border-width: 1px;
  border-color: #7f36da;
  border-radius: 8px;
  background-color: #fff;
}

.sign-in-blockstack {
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: #000;
  font-size: 16px;
  font-weight: 400;
  text-align: center;
}

.blockstack-logo {
  width: 24px;
  height: 24px;
  background-image: url(/imgs/land-ho-logo-icon-circle-no-bg.svg);
  background-position: 50% 50%;
  background-size: cover;
}

.note {
  width: 280px;
  font-family: "IBM Plex Sans", sans-serif;
  color: #27261e;
  font-size: 13px;
  line-height: 16px;
}

.no-dragons-ready {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: 24px;
  line-height: 26px;
  font-weight: 700;
  text-align: center;
}

.text-span-5 {
  font-size: 18px;
  font-weight: 500;
}

.another-part-of-the-button {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.text-span-6 {
  font-style: italic;
  font-weight: 400;
}

@media only screen and (min-width: 1441px) {
  .q-page {
    margin-top: 0px;
    background: url(/imgs/middle-wave.svg) 0px 326px,
      url(/imgs/background-wave.svg) 0px 61px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .foreground-wave {
    margin-top: 30vh;
    position: relative;
    background-image: url(/imgs/foreground-wave.svg);
    background-repeat: no-repeat;
    background-size: cover;
  }
  .sign-in-card {
    display: block;
    height: auto;
    width: 540px;
    margin-top: 80px;
    margin-left: 8px;
    margin-right: 8px;
    padding-bottom: 0vh;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 8px;
    background-image: -webkit-gradient(
      linear,
      left top,
      left bottom,
      from(#fff),
      color-stop(100%, #ecddff),
      to(#fff)
    );
    background-image: linear-gradient(180deg, #fff, #ecddff 100%, #fff);
    box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
  }
}

@media only screen and (max-width: 414px) {
  .seven-seas {
    padding-right: 8px;
    padding-left: 8px;
    font-family: "IBM Plex Sans", sans-serif;
    color: #27261e;
    font-size: 28px;
    line-height: 40px;
    font-weight: 700;
    text-align: center;
  }
  .pitch-1 {
    padding-right: 16px;
    padding-left: 16px;
    font-family: "IBM Plex Sans", sans-serif;
    color: #7f36da;
    font-size: 18px;
    line-height: 26px;
    font-weight: 500;
    text-align: center;
  }
  .pitch-2 {
    margin-top: 40px;
    padding-right: 16px;
    padding-left: 16px;
    font-family: "IBM Plex Sans", sans-serif;
    color: #27261e;
    font-size: 16px;
    line-height: 20px;
    font-weight: 500;
    text-align: center;
  }
}
</style>
